;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;  fkey.asm
;;
;;  Sets typematic rate to 30 CPS / 250ms repeat delay.
;;
;;  For machines with XT286 or AT BIOS only.
;;
;;  Released to the PUBLIC DOMAIN. If you break it, you own both halves.
;;
;;  Joaquim H. Homrighausen
;;
;;  3:632/308@fidonet, 28:28/0@signet, jhom@csource.oz.au
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

.model tiny
.code

    org     100H

fkey:
    mov     AX, 0305H               ;Set typematic rate to 30cps and
    xor     BX, BX                  ;250ms repeat delay
    int     16h

    mov     DX, offset header
    mov     AH, 09H
    int     21H

    mov     AH, 4CH                 ;Au Revoir!
    int     21H

    header  db  13,'fkey: Keyboard set to 30 CPS with a 250ms delay.',13,10,'$'

END fkey
